curl --location --request POST 'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}/data-source/qa' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"question": "string",
"answer": "string"
}'
import requests
uuid = '<chatbot-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}/data-source/qa'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
data = {
"question": "string",
"answer": "string"
}
response = requests.post(url, headers=headers, json=data)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const uuid = "<chatbot-uuid>";
const url = `https://app.gpt-trainer.com/api/v1/chatbot/${uuid}/data-source/qa`;
const headers = {
"Content-Type": "application/json",
Authorization: "Bearer <token>",
};
const data = {
question: "string",
answer: "string",
};
axios
.post(url, data, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
{
"created_at": "string",
"file_name": "string",
"file_size": 0,
"meta_json": "string",
"modified_at": "string",
"status": "string",
"title": "string",
"tokens": 0,
"type": "string",
"uuid": "string"
}
Data Sources
Create QA Source
Create a QA source for a chatbot specified by chatbot uuid
POST
/
api
/
v1
/
chatbot
/
{uuid}
/
data-source
/
qa
curl --location --request POST 'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}/data-source/qa' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"question": "string",
"answer": "string"
}'
import requests
uuid = '<chatbot-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}/data-source/qa'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
data = {
"question": "string",
"answer": "string"
}
response = requests.post(url, headers=headers, json=data)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const uuid = "<chatbot-uuid>";
const url = `https://app.gpt-trainer.com/api/v1/chatbot/${uuid}/data-source/qa`;
const headers = {
"Content-Type": "application/json",
Authorization: "Bearer <token>",
};
const data = {
question: "string",
answer: "string",
};
axios
.post(url, data, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
{
"created_at": "string",
"file_name": "string",
"file_size": 0,
"meta_json": "string",
"modified_at": "string",
"status": "string",
"title": "string",
"tokens": 0,
"type": "string",
"uuid": "string"
}
Path
Chatbot uuid
Body
Response
curl --location --request POST 'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}/data-source/qa' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"question": "string",
"answer": "string"
}'
import requests
uuid = '<chatbot-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}/data-source/qa'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
data = {
"question": "string",
"answer": "string"
}
response = requests.post(url, headers=headers, json=data)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const uuid = "<chatbot-uuid>";
const url = `https://app.gpt-trainer.com/api/v1/chatbot/${uuid}/data-source/qa`;
const headers = {
"Content-Type": "application/json",
Authorization: "Bearer <token>",
};
const data = {
question: "string",
answer: "string",
};
axios
.post(url, data, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
{
"created_at": "string",
"file_name": "string",
"file_size": 0,
"meta_json": "string",
"modified_at": "string",
"status": "string",
"title": "string",
"tokens": 0,
"type": "string",
"uuid": "string"
}
⌘I